scala.actors.remote
class NetKernel

[source: `scala/actors/remote/NetKernel.scala`]

`` `class` NetKernel(service : Service)
  `extends` AnyRef

Version
  0.9.10
Author
  Philipp Haller

Value Summary
`val` | proxies : HashMap[(Node, Symbol), Actor]

Method Summary
`def` | createProxy (node : Node, sym : Symbol) : Actor
`def` | getOrCreateProxy (senderNode : Node, senderName : Symbol) : Actor
`def` | namedSend (node : Node, sender : Symbol, receiver : Symbol, msg : AnyRef) : Unit
`def` | namedSyncSend (node : Node, sender : Symbol, receiver : Symbol, msg : AnyRef) : Unit
`def` | processMsg (senderNode : Node, msg : AnyRef) : Unit
`def` | register (name : Symbol, a : Actor) : Unit
`def` | selfName : Symbol
`def` | send (node : Node, name : Symbol, msg : AnyRef) : Unit
`def` | sendReply (node : Node, sender : Symbol, receiver : Symbol, msg : AnyRef) : Unit
`def` | sendToNode (node : Node, msg : AnyRef) : Unit
`def` | syncSend (node : Node, name : Symbol, msg : AnyRef) : Unit
`def` | terminate : Unit

Methods inherited from AnyRef
getClass, hashCode, equals, clone, toString, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Value Details

`` `val` proxies : HashMap[(Node, Symbol), Actor]

Method Details

`` `def` sendToNode(node : Node, msg : AnyRef) : Unit

`` `def` namedSend(node : Node, sender : Symbol, receiver : Symbol, msg : AnyRef) : Unit

`` `def` namedSyncSend(node : Node, sender : Symbol, receiver : Symbol, msg : AnyRef) : Unit

`` `def` sendReply(node : Node, sender : Symbol, receiver : Symbol, msg : AnyRef) : Unit

`` `def` register(name : Symbol, a : Actor) : Unit

`` `def` selfName : Symbol

`` `def` send(node : Node, name : Symbol, msg : AnyRef) : Unit

`` `def` syncSend(node : Node, name : Symbol, msg : AnyRef) : Unit

`` `def` createProxy(node : Node, sym : Symbol) : Actor

`` `def` getOrCreateProxy(senderNode : Node, senderName : Symbol) : Actor

`` `def` processMsg(senderNode : Node, msg : AnyRef) : Unit

`` `def` terminate : Unit